import request from '@/utils/request'

const baseUrl = import.meta.env.VITE_APP_BASE_API

// 查询外协单从列表
export function listDetail(query) {
	return request({
		url: baseUrl + '/business/outsourceDetail/list',
		method: 'get',
		params: query
	})
}

// 查询外协单从详细
export function getDetail(id) {
	return request({
		url: baseUrl + '/business/outsourceDetail/' + id,
		method: 'get'
	})
}

// 获取已完成的外协单从表
export function listDetailForReceipt(query) {
	return request({
		url: baseUrl + '/business/outsourceDetail/listDetailForReceipt',
		method: 'get',
		params: query
	})
}
// 获取已完成的内部外协从表
export function listDetailForInterReceipt(query) {
	return request({
		url: baseUrl + '/business/outsourceDetail/listDetailForInterReceipt',
		method: 'get',
		params: query
	})
}
//获取报工完成的发出单明细
// 获取已完成的外协单从表
export function getFinishedOutsourceDetailList(query) {
	return request({
		url: baseUrl + '/business/outsourceDetail/getFinishedOutsourceDetailList',
		method: 'get',
		params: query
	})
}
